summaryrefslogtreecommitdiff
path: root/stsci.skypac/build.sh
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
commite4caf4a2acbb18875b1064246554e4105449b5a3 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /stsci.skypac/build.sh
downloadastroconda-contrib-e4caf4a2acbb18875b1064246554e4105449b5a3.tar.gz
Initial commit
Diffstat (limited to 'stsci.skypac/build.sh')
-rw-r--r--stsci.skypac/build.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/stsci.skypac/build.sh b/stsci.skypac/build.sh
new file mode 100644
index 0000000..f452b7b
--- /dev/null
+++ b/stsci.skypac/build.sh
@@ -0,0 +1,28 @@
+
+function get_py_version() {
+python --version 2>&1| awk '{sub(/-.*/,"",$2);print $2}'
+}
+export -f get_py_version
+
+function set_py3k() {
+version=`get_py_version`
+major=`echo $version | cut -d '.' -f 1`
+minor=`echo $version | cut -d '.' -f 2`
+hotfix=`echo $version | cut -d '.' -f 3`
+if (( major > 2 )); then
+export PY3K=1
+else
+export PY3K=0
+fi
+}
+export -f set_py3k
+
+set_py3k
+
+
+pip install --no-deps --upgrade --force d2to1
+if [ $PY3K -ne 0 ] ; then
+sed -i -e "s|stsci.distutils.hooks.tag_svn_revision|#removed|" setup.cfg
+2to3 -w .
+fi
+python setup.py install || exit 1 \ No newline at end of file